Page MenuHomePhabricator

Exclude upstream repositories in the default view on wikimedia.biterg.io (by setting up "Projects" once Bestiary is available?)
Open, Stalled, LowestPublic

Description

Surprised for seeing a top Git contributor that I had never heard of (Dana Powers), I discovered that we are aggregating operations/kafka data to our Git metrics. It shoul;d be removed, since it is an upstream project.

Workaround: See T146135#3176718

Related Objects

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 20 2016, 10:16 AM

Steps: Go to https://wikimedia.biterg.io/ click "Git", search "Dana Powers", see it's about https://gerrit.wikimedia.org/r/operations/debs/python-kafka

operations/debs/python-kafka is listed in https://github.com/Bitergia/mediawiki-repositories/blob/master/git_repositories_blacklist.conf so it should not be shown.

@Dicortazar: Is wikimedia.biterg.io supposed to pick up our blacklist configuration file?

Aklapper renamed this task from Remove operations/kafka from Git metrics to Git repo blacklist config not applied on wikimedia.biterg.io?.Sep 20 2016, 12:32 PM
Aklapper triaged this task as Normal priority.
Aklapper moved this task from Backlog to Ready to Go on the wikimedia.biterg.io board.

Listing other examples from "Top Authors" on https://wikimedia.biterg.io/app/kibana#/dashboard/Git-Demographics to allow verifying / retesting at some point:

The good thing is that thanks to Kibana it's now way easier to identify the related repositories to exclude by a single click, instead of manually running git log across all repos.

Lcanasdiaz moved this task from Ready to Go to Doing on the wikimedia.biterg.io board.
Lcanasdiaz added a subscriber: Lcanasdiaz.

I confirm that blacklist is not working. Working on it ..

Aklapper raised the priority of this task from Normal to High.Nov 23 2016, 3:04 PM
Aklapper renamed this task from Git repo blacklist config not applied on wikimedia.biterg.io? to Git repo blacklist config not applied on wikimedia.biterg.io.Nov 24 2016, 3:15 PM

I confirm that blacklist is not working. Working on it ..

@Lcanasdiaz: Any news to share?

I confirm that blacklist is not working. Working on it ..

@Lcanasdiaz: Any news to share?

We are upgrading to the latest software available. Should be ready by this week.

Aklapper lowered the priority of this task from High to Normal.Apr 12 2017, 10:05 PM

<tl;dr> 1) A trivial workaround exists. See next comment. 2) Having the blacklist not applied has an advantage I need to think about more. 3) Lowering task priority for now.

Long version:

We discussed this today. Summarizing the current ("upstream") status: It is not easy to remove specific repositories. What could be done is creating new indexes every other week just for repositories we are interested in. It is not automatically mapped to the indexes and it's not possible to do this daily, performance-wise.

But... while discussing I realized that a trivial (and IMHO complete) available workaround for the time being is to manually filter a dashboard view by explicitly excluding the repositories blacklisted in gerrit_trackers_blacklist.conf / git_repositories_blacklist.conf. It even works! (I expected an HTTP 414 error, to be honest). :P

I'm going to post the specific steps/data in the a separate next comment, after this one.

Advantage of not statically blacklisting is that we can play with and evaluate data that we thought we want to exclude. Compare:

Both the Submitters / Authors lists and the "Organizations" list allow us to potentially correct decisions whether a repo should really be blacklisted.
(Reminder: Some repos are a mix of imported pulled upstream commits and custom downstream patches applied. Other repos might be a clean upstream pull with Wikimedia community members being also active in getting their patches merged in upstream.)
Two quick examples:

  • (94735-93056=)1679 commits by L10N-bot happened in Gerrit repos that we had blacklisted in korma.
  • Hashar had (7567-7286=)281 commits in Git repos we had blacklisted in korma.

How to get the blacklist applied manually

Git: Go to https://wikimedia.biterg.io/app/kibana?#/dashboard/Git and enter the following line in the "Advanced filter" text field:

(NOT repo_name:"https://gerrit.wikimedia.org/r/gerrit") AND (NOT repo_name:"") AND (NOT repo_name:"https://gerrit.wikimedia.org/r/integration/jenkins-job-builder") AND (NOT repo_name:"https://gerrit.wikimedia.org/r/integration/zuul") AND (NOT repo_name:"https://gerrit.wikimedia.org/r/operations/debs/flannel") AND (NOT repo_name:"https://gerrit.wikimedia.org/r/operations/debs/ganglia") AND (NOT repo_name:"https://gerrit.wikimedia.org/r/operations/debs/git-fat") AND (NOT repo_name:"https://gerrit.wikimedia.org/r/operations/debs/golang-burrow") AND (NOT repo_name:"https://gerrit.wikimedia.org/r/operations/debs/jenkins-debian-glue") AND (NOT repo_name:"https://gerrit.wikimedia.org/r/operations/debs/jmxtrans") AND (NOT repo_name:"https://gerrit.wikimedia.org/r/operations/debs/kafka") AND (NOT repo_name:"https://gerrit.wikimedia.org/r/operations/debs/kafkacat") AND (NOT repo_name:"https://gerrit.wikimedia.org/r/operations/debs/kubernetes") AND (NOT repo_name:"https://gerrit.wikimedia.org/r/operations/debs/latexml") AND (NOT repo_name:"https://gerrit.wikimedia.org/r/operations/debs/logstash-gelf") AND (NOT repo_name:"https://gerrit.wikimedia.org/r/operations/debs/logster") AND (NOT repo_name:"https://gerrit.wikimedia.org/r/operations/debs/nodepool") AND (NOT repo_name:"https://gerrit.wikimedia.org/r/operations/debs/perf-tools") AND (NOT repo_name:"https://gerrit.wikimedia.org/r/operations/debs/phantomjs") AND (NOT repo_name:"https://gerrit.wikimedia.org/r/operations/debs/puppet") AND (NOT repo_name:"https://gerrit.wikimedia.org/r/operations/debs/python-dotted") AND (NOT repo_name:"https://gerrit.wikimedia.org/r/operations/debs/python-gevent") AND (NOT repo_name:"https://gerrit.wikimedia.org/r/operations/debs/python-jsonschema") AND (NOT repo_name:"https://gerrit.wikimedia.org/r/operations/debs/python-kafka") AND (NOT repo_name:"https://gerrit.wikimedia.org/r/operations/debs/python-mwparserfromhell") AND (NOT repo_name:"https://gerrit.wikimedia.org/r/operations/debs/python-phabricator") AND (NOT repo_name:"https://gerrit.wikimedia.org/r/operations/debs/python-sprockets") AND (NOT repo_name:"https://gerrit.wikimedia.org/r/operations/debs/python-sprockets-clients-statsd") AND (NOT repo_name:"https://gerrit.wikimedia.org/r/operations/debs/python-sprockets-mixins-statsd") AND (NOT repo_name:"https://gerrit.wikimedia.org/r/operations/debs/python-stopit") AND (NOT repo_name:"https://gerrit.wikimedia.org/r/operations/debs/StatsD") AND (NOT repo_name:"https://gerrit.wikimedia.org/r/operations/debs/varnish") AND (NOT repo_name:"https://gerrit.wikimedia.org/r/operations/debs/varnish4") AND (NOT repo_name:"https://gerrit.wikimedia.org/r/operations/puppet/cdh") AND (NOT repo_name:"https://gerrit.wikimedia.org/r/operations/puppet/cdh4") AND (NOT repo_name:"https://gerrit.wikimedia.org/r/operations/puppet/jmxtrans") AND (NOT repo_name:"https://gerrit.wikimedia.org/r/operations/puppet/kafka") AND (NOT repo_name:"https://gerrit.wikimedia.org/r/operations/puppet/kafkatee") AND (NOT repo_name:"https://gerrit.wikimedia.org/r/operations/puppet/mesos") AND (NOT repo_name:"https://gerrit.wikimedia.org/r/operations/puppet/varnishkafka") AND (NOT repo_name:"https://gerrit.wikimedia.org/r/operations/software/gdash") AND (NOT repo_name:"https://gerrit.wikimedia.org/r/operations/software/grafana") AND (NOT repo_name:"https://gerrit.wikimedia.org/r/operations/software/hhvm-dev") AND (NOT repo_name:"https://gerrit.wikimedia.org/r/operations/software/hhvm-dev-folly") AND (NOT repo_name:"https://gerrit.wikimedia.org/r/operations/software/hhvm-dev-third-party") AND (NOT repo_name:"https://gerrit.wikimedia.org/r/operations/software/kibana") AND (NOT repo_name:"https://gerrit.wikimedia.org/r/operations/software/librenms") AND (NOT repo_name:"https://gerrit.wikimedia.org/r/operations/software/nginx") AND (NOT repo_name:"https://gerrit.wikimedia.org/r/operations/software/tessera") AND (NOT repo_name:"https://gerrit.wikimedia.org/r/operations/software/varnish-libvmod-header") AND (NOT repo_name:"https://gerrit.wikimedia.org/r/operations/software/varnish-libvmod-tbf") AND (NOT repo_name:"https://gerrit.wikimedia.org/r/operations/software/varnish-libvmod-vslp") AND (NOT repo_name:"https://gerrit.wikimedia.org/r/operations/software/varnish-varnishkafka") AND (NOT repo_name:"https://gerrit.wikimedia.org/r/operations/software/xhgui") AND (NOT repo_name:"https://gerrit.wikimedia.org/r/phabricator/arcanist") AND (NOT repo_name:"https://gerrit.wikimedia.org/r/phabricator/libphutil") AND (NOT repo_name:"https://gerrit.wikimedia.org/r/phabricator/phabricator") AND (NOT repo_name:"https://gerrit.wikimedia.org/r/pywikibot/externals/httplib2") AND (NOT repo_name:"https://gerrit.wikimedia.org/r/wikimedia/fundraising/civicrm-buildkit") AND (NOT repo_name:"https://gerrit.wikimedia.org/r/wikimedia/fundraising/civicrm-buildkit/vendor-totten/amp") AND (NOT repo_name:"https://gerrit.wikimedia.org/r/wikimedia/fundraising/civicrm-buildkit/vendor-totten/git-scan") AND (NOT repo_name:"https://gerrit.wikimedia.org/r/wikimedia/fundraising/civicrm-core") AND (NOT repo_name:"https://gerrit.wikimedia.org/r/wikimedia/fundraising/civicrm-drupal") AND (NOT repo_name:"https://gerrit.wikimedia.org/r/wikimedia/fundraising/civicrm-joomla") AND (NOT repo_name:"https://gerrit.wikimedia.org/r/wikimedia/fundraising/civicrm-packages") AND (NOT repo_name:"https://gerrit.wikimedia.org/r/wikimedia/fundraising/civicrm-wordpress") AND (NOT repo_name:"https://gerrit.wikimedia.org/r/wikimedia/fundraising/crm/drush")

Gerrit: Go to https://wikimedia.biterg.io/app/kibana?#/dashboard/Gerrit (or other Gerrit dashboards) and enter the following line in the "Advanced filter" text field:

(NOT repository:"analytics/abacist") AND (NOT repository:"analytics/gerrit-stats") AND (NOT repository:"analytics/gerrit-stats/data") AND (NOT repository:"analytics/kraken") AND (NOT repository:"analytics/kraken/deploy") AND (NOT repository:"gerrit") AND (NOT repository:"integration/bundler") AND (NOT repository:"integration/composer") AND (NOT repository:"integration/jenkins-job-builder") AND (NOT repository:"integration/phantomjs") AND (NOT repository:"integration/php-coveralls") AND (NOT repository:"integration/phpcs") AND (NOT repository:"integration/phpunit") AND (NOT repository:"integration/zuul") AND (NOT repository:"labs/incubator") AND (NOT repository:"mediawiki/extensions/AccessibilitySimulation") AND (NOT repository:"mediawiki/extensions/Agora") AND (NOT repository:"mediawiki/extensions/BayesianFilter") AND (NOT repository:"mediawiki/extensions/BlameMaps") AND (NOT repository:"mediawiki/extensions/Agora") AND (NOT repository:"mediawiki/extensions/BookManagerv2") AND (NOT repository:"mediawiki/extensions/ClickTracking") AND (NOT repository:"mediawiki/extensions/ContributionReporting") AND (NOT repository:"mediawiki/extensions/DiscussionThreading") AND (NOT repository:"mediawiki/extensions/ExternalArticles") AND (NOT repository:"mediawiki/extensions/FundraisingChart") AND (NOT repository:"mediawiki/extensions/InterwikiMagic") AND (NOT repository:"mediawiki/extensions/Mantle") AND (NOT repository:"mediawiki/extensions/Moodle") AND (NOT repository:"mediawiki/extensions/Narayam") AND (NOT repository:"mediawiki/extensions/OpenSearchXml") AND (NOT repository:"mediawiki/extensions/Parsoid") AND (NOT repository:"mediawiki/extensions/Parsoid/cpp/contrib/libhubbub") AND (NOT repository:"mediawiki/extensions/Parsoid/cpp/contrib/pugixml") AND (NOT repository:"mediawiki/extensions/Parsoid/js/contrib") AND (NOT repository:"mediawiki/extensions/Phalanx") AND (NOT repository:"mediawiki/extensions/PronunciationRecording") AND (NOT repository:"mediawiki/extensions/ProxyListDb") AND (NOT repository:"mediawiki/extensions/RecentActivityFeed") AND (NOT repository:"mediawiki/extensions/SemanticSignup") AND (NOT repository:"mediawiki/extensions/skins") AND (NOT repository:"mediawiki/extensions/SolrStore") AND (NOT repository:"mediawiki/extensions​/SyntaxHighlight_Pygments") AND (NOT repository:"mediawiki/extensions​/Vector") AND (NOT repository:"mediawiki/extensions/WebFonts") AND (NOT repository:"mediawiki/extensions​/WikiGrok") AND (NOT repository:"mediawiki/extensions/WikibaseSolr") AND (NOT repository:"mediawiki/extensions/XMLContentExtension") AND (NOT repository:"mediawiki/php/wikidiff") AND (NOT repository:"mediawiki/skins/DeskMessMirrored") AND (NOT repository:"operations/debs/StatsD") AND (NOT repository:"operations/debs/adminbot") AND (NOT repository:"operations/debs/archiva") AND (NOT repository:"operations/debs/avconv10") AND (NOT repository:"operations/debs/carboncrelay") AND (NOT repository:"operations/debs/check_ganglia") AND (NOT repository:"operations/debs/confd") AND (NOT repository:"operations/debs/contenttranslation/apertium") AND (NOT repository:"operations/debs/contenttranslation/apertiumafnl") AND (NOT repository:"operations/debs/contenttranslation/apertiumapy") AND (NOT repository:"operations/debs/contenttranslation/apertiumbrfr") AND (NOT repository:"operations/debs/contenttranslation/apertiumcait") AND (NOT repository:"operations/debs/contenttranslation/apertiumcyen") AND (NOT repository:"operations/debs/contenttranslation/apertiumdan") AND (NOT repository:"operations/debs/contenttranslation/apertiumdannor") AND (NOT repository:"operations/debs/contenttranslation/apertiumenca") AND (NOT repository:"operations/debs/contenttranslation/apertiumenes") AND (NOT repository:"operations/debs/contenttranslation/apertiumengl") AND (NOT repository:"operations/debs/contenttranslation/apertiumeoca") AND (NOT repository:"operations/debs/contenttranslation/apertiumeoen") AND (NOT repository:"operations/debs/contenttranslation/apertiumeoes") AND (NOT repository:"operations/debs/contenttranslation/apertiumeofr") AND (NOT repository:"operations/debs/contenttranslation/apertiumesan") AND (NOT repository:"operations/debs/contenttranslation/apertiumesast") AND (NOT repository:"operations/debs/contenttranslation/apertiumesca") AND (NOT repository:"operations/debs/contenttranslation/apertiumesgl") AND (NOT repository:"operations/debs/contenttranslation/apertiumesit") AND (NOT repository:"operations/debs/contenttranslation/apertiumespt") AND (NOT repository:"operations/debs/contenttranslation/apertiumesro") AND (NOT repository:"operations/debs/contenttranslation/apertiumeuen") AND (NOT repository:"operations/debs/contenttranslation/apertiumeues") AND (NOT repository:"operations/debs/contenttranslation/apertiumeus") AND (NOT repository:"operations/debs/contenttranslation/apertiumfrca") AND (NOT repository:"operations/debs/contenttranslation/apertiumfres") AND (NOT repository:"operations/debs/contenttranslation/apertiumhbs") AND (NOT repository:"operations/debs/contenttranslation/apertiumhbseng") AND (NOT repository:"operations/debs/contenttranslation/apertiumhbsmkd") AND (NOT repository:"operations/debs/contenttranslation/apertiumhbsslv") AND (NOT repository:"operations/debs/contenttranslation/apertiumhin") AND (NOT repository:"operations/debs/contenttranslation/apertiumidms") AND (NOT repository:"operations/debs/contenttranslation/apertiumissv") AND (NOT repository:"operations/debs/contenttranslation/apertiumisleng") AND (NOT repository:"operations/debs/contenttranslation/apertiumkaz") AND (NOT repository:"operations/debs/contenttranslation/apertiumkaztat") AND (NOT repository:"operations/debs/contenttranslation/apertiumlextools") AND (NOT repository:"operations/debs/contenttranslation/apertiummk") AND (NOT repository:"operations/debs/contenttranslation/apertiummkbg") AND (NOT repository:"operations/debs/contenttranslation/apertiummltara") AND (NOT repository:"operations/debs/contenttranslation/apertiumnno") AND (NOT repository:"operations/debs/contenttranslation/apertiumnnonob") AND (NOT repository:"operations/debs/contenttranslation/apertiumnob") AND (NOT repository:"operations/debs/contenttranslation/apertiumocca") AND (NOT repository:"operations/debs/contenttranslation/apertiumoces") AND (NOT repository:"operations/debs/contenttranslation/apertiumptca") AND (NOT repository:"operations/debs/contenttranslation/apertiumptgl") AND (NOT repository:"operations/debs/contenttranslation/apertiumsmenob") AND (NOT repository:"operations/debs/contenttranslation/apertiumsvda") AND (NOT repository:"operations/debs/contenttranslation/apertiumtat") AND (NOT repository:"operations/debs/contenttranslation/apertiumurd") AND (NOT repository:"operations/debs/contenttranslation/apertiumurdhin") AND (NOT repository:"operations/debs/contenttranslation/cg3") AND (NOT repository:"operations/debs/contenttranslation/hfst") AND (NOT repository:"operations/debs/contenttranslation/lttoolbox") AND (NOT repository:"operations/debs/contenttranslation/pythontoro") AND (NOT repository:"operations/debs/etherpadlite") AND (NOT repository:"operations/debs/ffmpeg2theorawmf") AND (NOT repository:"operations/debs/flasklogin") AND (NOT repository:"operations/debs/ganglia") AND (NOT repository:"operations/debs/gerrit") AND (NOT repository:"operations/debs/gitdeploy") AND (NOT repository:"operations/debs/gitfat") AND (NOT repository:"operations/debs/hhvm") AND (NOT repository:"operations/debs/ircdratbox") AND (NOT repository:"operations/debs/ircecho") AND (NOT repository:"operations/debs/jenkinsdebianglue") AND (NOT repository:"operations/debs/jettyrunner") AND (NOT repository:"operations/debs/jmxtrans") AND (NOT repository:"operations/debs/kafka") AND (NOT repository:"operations/debs/kafkacat") AND (NOT repository:"operations/debs/latexml") AND (NOT repository:"operations/debs/libanon") AND (NOT repository:"operations/debs/libav") AND (NOT repository:"operations/debs/librsvg") AND (NOT repository:"operations/debs/libvpx") AND (NOT repository:"operations/debs/linux") AND (NOT repository:"operations/debs/linuxmeta") AND (NOT repository:"operations/debs/logstashgelf") AND (NOT repository:"operations/debs/logster") AND (NOT repository:"operations/debs/lucenesearch2") AND (NOT repository:"operations/debs/mariadbserver") AND (NOT repository:"operations/debs/memkeys") AND (NOT repository:"operations/debs/mod_tile") AND (NOT repository:"operations/debs/mwbzutils") AND (NOT repository:"operations/debs/mysqlatfacebook") AND (NOT repository:"operations/debs/nginx") AND (NOT repository:"operations/debs/nodejs") AND (NOT repository:"operations/debs/nodepool") AND (NOT repository:"operations/debs/nutcracker") AND (NOT repository:"operations/debs/openssl") AND (NOT repository:"operations/debs/opus") AND (NOT repository:"operations/debs/osmmapnikstyle") AND (NOT repository:"operations/debs/osm2pgsql") AND (NOT repository:"operations/debs/perftools") AND (NOT repository:"operations/debs/phantomjs") AND (NOT repository:"operations/debs/phpmailparse") AND (NOT repository:"operations/debs/puppet") AND (NOT repository:"operations/debs/pybal") AND (NOT repository:"operations/debs/pythondiamond") AND (NOT repository:"operations/debs/pythonetcd") AND (NOT repository:"operations/debs/pythonflasklogin") AND (NOT repository:"operations/debs/pythongear") AND (NOT repository:"operations/debs/pythonjsonschema") AND (NOT repository:"operations/debs/pythonkafka") AND (NOT repository:"operations/debs/pythonphabricator") AND (NOT repository:"operations/debs/quickstack") AND (NOT repository:"operations/debs/rtauthenexternalauth") AND (NOT repository:"operations/debs/rubydimensions") AND (NOT repository:"operations/debs/rubyexecjs") AND (NOT repository:"operations/debs/rubyjsduck") AND (NOT repository:"operations/debs/rubyparallel") AND (NOT repository:"operations/debs/sartoris") AND (NOT repository:"operations/debs/searchqa") AND (NOT repository:"operations/debs/squid") AND (NOT repository:"operations/debs/statsite") AND (NOT repository:"operations/debs/udp2loglog4jjava") AND (NOT repository:"operations/debs/utfnormal") AND (NOT repository:"operations/debs/varnish") AND (NOT repository:"operations/debs/vips") AND (NOT repository:"operations/debs/wikibugs") AND (NOT repository:"operations/debs/wikimediabase") AND (NOT repository:"operations/debs/wikimediajobrunner") AND (NOT repository:"operations/debs/wikimediakeyring") AND (NOT repository:"operations/debs/wikimedialdaptools") AND (NOT repository:"operations/debs/wikimedialvsrealserver") AND (NOT repository:"operations/debs/wikimediasearchqa") AND (NOT repository:"operations/debs/wikimediataskappserver") AND (NOT repository:"operations/debs/wikistats") AND (NOT repository:"operations/gerrit/plugins") AND (NOT repository:"operations/puppet/cassandra") AND (NOT repository:"operations/puppet/cdh") AND (NOT repository:"operations/puppet/cdh4") AND (NOT repository:"operations/puppet/jmxtrans") AND (NOT repository:"operations/puppet/kafka") AND (NOT repository:"operations/puppet/kafkatee") AND (NOT repository:"operations/puppet/mariadb") AND (NOT repository:"operations/puppet/mesos") AND (NOT repository:"operations/puppet/nginx") AND (NOT repository:"operations/puppet/varnishkafka") AND (NOT repository:"operations/puppet/wikimetrics") AND (NOT repository:"operations/puppet/zookeeper") AND (NOT repository:"operations/software/blazegraph") AND (NOT repository:"operations/software/brrd") AND (NOT repository:"operations/software/coal") AND (NOT repository:"operations/software/conftool") AND (NOT repository:"operations/software/dbtree") AND (NOT repository:"operations/software/deployment/trebuchettrigger") AND (NOT repository:"operations/software/dropwizardmetrics") AND (NOT repository:"operations/software/elasticsearch/plugins") AND (NOT repository:"operations/software/ganglialogtailer") AND (NOT repository:"operations/software/ganglios") AND (NOT repository:"operations/software/gdash") AND (NOT repository:"operations/software/grafana") AND (NOT repository:"operations/software/hhvmdev") AND (NOT repository:"operations/software/hhvmdev/folly") AND (NOT repository:"operations/software/hhvmdev/thirdparty") AND (NOT repository:"operations/software/ircyall") AND (NOT repository:"operations/software/kibana") AND (NOT repository:"operations/software/labsdbauditor") AND (NOT repository:"operations/software/librenms") AND (NOT repository:"operations/software/logstashlogbackencoder") AND (NOT repository:"operations/software/mwprof/reporter") AND (NOT repository:"operations/software/nginx") AND (NOT repository:"operations/software/otrs") AND (NOT repository:"operations/software/puppetcompiler") AND (NOT repository:"operations/software/redactatron") AND (NOT repository:"operations/software/rescuepxe") AND (NOT repository:"operations/software/sentry") AND (NOT repository:"operations/software/shinkengen") AND (NOT repository:"operations/software/statsdlb") AND (NOT repository:"operations/software/swiftring") AND (NOT repository:"operations/software/swiftutils") AND (NOT repository:"operations/software/tendril") AND (NOT repository:"operations/software/tessera") AND (NOT repository:"operations/software/toolschecker") AND (NOT repository:"operations/software/toolsmanifest") AND (NOT repository:"operations/software/toolswebservice") AND (NOT repository:"operations/software/varnish/libvmodnetmapper") AND (NOT repository:"operations/software/varnish/varnishkafka") AND (NOT repository:"operations/software/varnish/vhtcpd") AND (NOT repository:"phabricator/arcanist") AND (NOT repository:"phabricator/extensions") AND (NOT repository:"phabricator/extensions/BurnDownCharts") AND (NOT repository:"phabricator/extensions/Sprint") AND (NOT repository:"phabricator/extensions/security") AND (NOT repository:"phabricator/libphutil") AND (NOT repository:"phabricator/phabricator") AND (NOT repository:"phabricator/test") AND (NOT repository:"phabricator/tools") AND (NOT repository:"test/gerritping") AND (NOT repository:"unicodejs") AND (NOT repository:"wikimedia/fundraising/civicrm") AND (NOT repository:"wikimedia/fundraising/civicrmbuildkit") AND (NOT repository:"wikimedia/fundraising/civicrmbuildkit/vendor") AND (NOT repository:"wikimedia/fundraising/civicrmbuildkit/vendor/totten") AND (NOT repository:"wikimedia/fundraising/civicrmbuildkit/vendor/totten/amp") AND (NOT repository:"wikimedia/fundraising/civicrmbuildkit/vendor/totten/gitscan") AND (NOT repository:"wikimedia/fundraising/crm/drupal") AND (NOT repository:"wikimedia/fundraising/crm/modules/dedupe_review") AND (NOT repository:"wikimedia/fundraising/dash") AND (NOT repository:"wikimedia/fundraising/dash/node_modules") AND (NOT repository:"wikimedia/fundraising/dash/src") AND (NOT repository:"wikimedia/fundraising/dash/src/bower_modules") AND (NOT repository:"wikimedia/fundraising/FineDiff") AND (NOT repository:"wikimedia/fundraising/LoveMap") AND (NOT repository:"wikimedia/fundraising/PaymentsListeners") AND (NOT repository:"wikimedia/fundraising/phpmailer") AND (NOT repository:"wikimedia/fundraising/slander") AND (NOT repository:"wikimedia/fundraising/stomp") AND (NOT repository:"wikimedia/fundraising/tools/DjangoBannerStats") AND (NOT repository:"wikimedia/fundraising/twig")

Maybe a bit crazy but works™.
Same obvious problem though as with the two files in the mediawiki-repositories GitHub repo: Such lists need updating from time to time. :)

Aklapper updated the task description. (Show Details)Apr 12 2017, 10:51 PM
Aklapper removed Lcanasdiaz as the assignee of this task.Jul 12 2017, 11:20 AM
Aklapper lowered the priority of this task from Normal to Lowest.

I'm unassigning this task. As per my previous comment I'm not convinced this is the best approach.

Aklapper moved this task from Doing to Backlog on the wikimedia.biterg.io board.Feb 18 2018, 7:55 PM
Aklapper changed the task status from Open to Stalled.Feb 19 2018, 11:57 AM

I think the way to go forward here would be putting blocklisted repositories into a "Project" (depends on T187661) which is disabled by default for everyone going to wikimedia.biterg.io once Bestiary is in place. Currently folks get stats that also include outside upstream activity if they do not know that they'd have to apply a filter.

Aklapper renamed this task from Git repo blacklist config not applied on wikimedia.biterg.io to Exclude blocklist upstream repositories in the default view on wikimedia.biterg.io (by setting up a "Project"?).Feb 19 2018, 11:59 AM
Aklapper renamed this task from Exclude blocklist upstream repositories in the default view on wikimedia.biterg.io (by setting up a "Project"?) to Exclude upstream repositories in the default view on wikimedia.biterg.io (by setting up "Projects" once Bestiary is available?).Mar 19 2018, 12:25 PM

Note that for proper Gerrit stats, applying a manual repo exclusion filter is not needed anymore - see T187711#4087535